I think I may have found a bug.
The second TextEntity has its text height set to 1 by the GetBoundingBox call?
I am running 7SR15 on windows (also present in 7SR14)
var expectedHeight = 8;
var textEntity = new TextEntity {
Plane = Plane.WorldXY,
PlainText = "HoneyIShrunkThe",
TextHeight = expectedHeight
};
RhinoDoc.ActiveDoc.Objects.Add(textEntity);
textEntity.GetBoundingBox(Plane.WorldXY);// remove line to stop shrinking
RhinoDoc.ActiveDoc.Objects.Add(textEntity);
RhinoApp.WriteLine($"Expected Height: {expectedHeight} TextHeight after GetBoundingBox {textEntity.TextHeight}");
RhinoDoc.ActiveDoc.Views.ActiveView.Redraw();